Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PICurrent.h File Reference

`#include "ace/Array_Base.h"`
`#include "orbconf.h"`
`#include "Any.h"`
`#include "PortableInterceptorC.h"`
`#include "LocalObject.h"`

Include dependency graph for PICurrent.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_PICurrent
| Implementation of the PortableInterceptor::Current interface. More...
class | TAO_PICurrent_Guard
| Class used to make copying between request scope current and thread scope current exception-safe. More...
class | TAO_PICurrent_Impl
| Implementation of the PortableInterceptor::Current interface. More...

## Detailed Description

Id:
  PICurrent.h,v 1.10 2003/10/28 18:29:19 bala Exp

Author:
  Ossama Othman <ossama@uci.edu>